/**
 * Theme Name:     Northern Midwest Regional Council Carpenters PAC - Astra Child
 * Author:         Brainstorm Force
 * Template:       astra
 * Text Domain:	   northern-midwest-regional-council-carpenters-pac-astra-child
 * Description:    The Astra WordPress theme is lightning-fast and highly customizable. It has over 1 million downloads and the only theme in the world with 6,000+ five-star reviews! It’s ideal for professional web designers, solopreneurs, small businesses, eCommerce, membership sites and any type of website. It offers special features and templates so it works perfectly with all page builders like Spectra, Elementor, Beaver Builder, etc. Fast performance, clean code, mobile-first design and schema markup are all built-in, making the theme exceptionally SEO-friendly. It’s fully compatible with WooCommerce, SureCart and other eCommerce plugins and comes with lots of store-friendly features and templates. Astra also provides expert support for free users. A dedicated team of fully trained WordPress experts are on hand to help with every aspect of the theme. Try the live demo of Astra: https://zipwp.org/themes/astra/
 * Theme URI:      http://nmcarpenterspac
 */


/* HD Variables */

:root {
  --hd-container-padding: 50px;
  --hd-container-padding-half: 25px;
  --hd-text-margin-bottom: 20px;
  --hd-brand-blue: #0F4F94;
  --hd-brand-blue-r: 15;
  --hd-brand-blue-g: 79;
  --hd-brand-blue-b: 148;
  --hd-brand-gray: #f4f7fb;

  --hd-brand-red: #B32025;
  --hd-brand-lt-blue: #2C73B8;

/*
Gold D8B23F
Light Blue 2C73B8
*/

  --hd-nav-color: #0F4F94;

  --hd-hover-opacity: 0.7;

}



/* Astra Sucks */

/*
.ast-primary-header-bar,
.ast-below-header-bar,
.ast-above-header-bar,
.site-primary-footer-wrap[data-section="section-primary-footer-builder"],
.site-below-footer-wrap[data-section="section-below-footer-builder"],
.ast-builder-menu-1 .sub-menu, .ast-builder-menu-1 .inline-on-mobile .sub-menu,
.ast-header-break-point #ast-desktop-header .main-header-menu > li.menu-item a {
  border:0px !important;
}
*/

/* .ast-primary-header-bar,
.ast-below-header-bar,
.ast-above-header.ast-above-header-bar, */
.site-primary-footer-wrap[data-section="section-primary-footer-builder"],
.site-below-footer-wrap[data-section="section-below-footer-builder"] {
  background:none !important;
}

.ast-plain-container.ast-no-sidebar #primary {
  margin:0px !important;
}

.ast-article-single {
  margin-bottom: 0px !important;
}

#primary {
  margin:0px !important;
  padding:0px !important;
}

#content {
  float:left !important;
  height:auto !important;
}

#content > .ast-container {
}

.site-content .ast-container {
  display:block !important;
}

.site-primary-footer-wrap {
  padding: 0px !important;
}

.footer-widget-area[data-section="sidebar-widgets-footer-widget-1"].footer-widget-area-inner {
  text-align: inherit;
}

/*
.ast-mobile-header-wrap .ast-primary-header-bar, .ast-primary-header-bar .site-primary-header-wrap,
.site-below-footer-wrap[data-section="section-below-footer-builder"],
.site-below-footer-wrap[data-section="section-below-footer-builder"] .ast-builder-grid-row {
  min-height: 0px !important;
}

.submenu-with-border .sub-menu .menu-link {
  border: 0px !important;
}

button, input, select, textarea, .ast-button, .ast-custom-button {
  line-height: 1em !important;
}

.entry-content[data-ast-blocks-layout] > * {
  max-width: 100% !important;
  margin-left: auto;
  margin-right: auto;
}

.ast-header-break-point #ast-mobile-header {
  display:none;
}

.site-header-section {
  height:auto !important;
}

.footer-widget-area.footer-widget-area-inner {
  text-align: inherit !important;
}

.site-footer .ast-builder-footer-grid-columns {
  column-gap:20px !important;
}

.ast-mobile-header-wrap .ast-above-header-bar, .ast-above-header-bar .site-above-header-wrap,
.ast-mobile-header-wrap .ast-below-header-bar, .ast-below-header-bar .site-below-header-wrap {
  min-height: 0px;
  height:auto;
}

.ast-logo-title-inline .ast-site-identity,
.ast-site-identity {
  padding: 0;
}

.ast-separate-container .ast-article-post,
.ast-separate-container .ast-article-single,
.ast-separate-container .ast-author-box
.ast-separate-container .ast-404-layout-1,.ast-separate-container .no-result {
  padding:0px !important;
}

.ast-header-break-point #ast-desktop-header .main-header-menu,
.ast-header-break-point #ast-desktop-header .main-header-menu .dropdown-menu-toggle {
  background:none !important;
  display:block !important;
}

.ast-header-break-point #ast-desktop-header .main-header-menu > li.menu-item > a {
  display:flex !important;
}

.ast-header-break-point #ast-desktop-header .main-header-menu > li.menu-item > a .dropdown-menu-toggle {
  padding-left:10px !important;
}

.ast-header-break-point #ast-desktop-header .main-header-menu > li.menu-item > a .dropdown-menu-toggle svg {
  transform: rotate(0deg) !important;
}

.ast-header-break-point #ast-desktop-header .main-header-menu > li.menu-item {
  display:inline-block !important;
  width:auto !important;
}

.ast-header-break-point #ast-desktop-header .ast-menu-toggle {
  display:none !important;
}

.ast-header-break-point #masthead .ast-mobile-header-wrap .ast-primary-header-bar,
.ast-header-break-point #masthead .ast-mobile-header-wrap .ast-below-header-bar,
.ast-header-break-point #masthead .ast-mobile-header-wrap .ast-above-header-bar,
.site-header-section>* {
  padding:0px !important;
}
*/



/* Wordpress Sucks */

.has-text-align-center {
  text-align:center !important;
}

.is-layout-flex {
  row-gap:0px !important;
  col-gap:0px !important;
}

.is-layout-constrained > * {
  margin-top:0px !important;
}

.footer-widget-area .wp-block-latest-posts li {
  display:block !important;
  clear:both !important;
}

.footer-widget-area .wp-block-latest-posts li time {
  display:block !important;
  margin:0px !important;
}

.hd_wordpress_thumbnails_suck img,
img.hd_wordpress_thumbnails_suck {
  max-width:150px !important;
  width:100% !important;
}

* {
  word-break:normal !important;
  overflow-wrap:normal !important;
}

.wp-block-button__link strong {
  font-weight:normal !important;
}

.wp-block-buttons {
  align-self:center !important;
}

.widget {
  margin-bottom:0px !important;
}



/* Text */

body, p, li, h2, h3, h4, h5, h6 {
}

.entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6 {
  margin-top:0px !important;
  line-height:1em !important;
}

p, h2, h3, h4, h5, .entry-content li {
  margin-bottom:var(--hd-text-margin-bottom) !important;
}

a:hover {
//  opacity:var(--hd-hover-opacity) !important;
}

.entry-content ul,
.entry-content ol {
  margin-top:0px !important;
}

.entry-content ul:last-child,
.entry-content ol:last-child,
/*p:last-of-type */
.entry-content ul li:last-of-type,
.entry-content ol li:last-of-type,
.entry-content p:last-child,
.entry-content .elementor-widget-text-editor .elementor-widget-container > *:last-child {
  margin-bottom:0px !important;
}

body, p, li, div:not(div.elementor-icon), span, label, legend {
  font-size:var(--hd-font-size-headers-h5) !important;
  line-height:1.5em !important;
}

nav li, span.hd_top_header_slogans,
.ast-above-header-wrap p {
  line-height:1em !important;
}

/*
h1, .entry-content h1 {
  font-size: var(--hd-font-size-headers) !important;
  line-height: var(--hd-font-size-headers) !important;
  font-weight:normal !important;
}

h2, .entry-content h2 {
  font-size: var(--hd-font-size-headers-h2) !important;
  font-weight:normal !important;
}

h3, .entry-content h3 {
  font-size: var(--hd-font-size-headers-h3) !important;
  font-weight:normal !important;
}

h4, .entry-content h4 {
  font-size: var(--hd-font-size-headers-h4) !important;
}

h5, .entry-content h5, span.hd_top_header_slogans {
  font-size: var(--hd-font-size-headers-h5) !important;
}

h6, .entry-content h6 {
  font-size: var(--hd-font-size-headers-h6) !important;
}

h2 {
  padding-bottom:0px !important;
  margin-bottom:var(--hd-container-padding) !important;
}

.hd_section_padding_none.elementor-widget-heading h2 {
  padding:0px !important;
  margin-bottom:0px !important;
}

h2 span {
}

.hd_hero h2, .hd_hero h3, .hd_hero h4,
span.hd_top_header_slogans {
  color:#fff !important;
}
*/

.hd_section_bg_blue p,
.hd_section_bg_blue h2,
.hd_section_bg_blue h3,
.hd_section_bg_blue h4,
.hd_section_bg_blue h5,
.hd_section_bg_blue h6,
.hd_section_bg_blue li,
.hd_section_bg_blue div,
.hd_section_bg_red p,
.hd_section_bg_red h2,
.hd_section_bg_red h3,
.hd_section_bg_red h4,
.hd_section_bg_red h5,
.hd_section_bg_red h6,
.hd_section_bg_red li,
.hd_section_bg_red div,
.hd_section_bg_black p,
.hd_section_bg_black h2,
.hd_section_bg_black h3,
.hd_section_bg_black h4,
.hd_section_bg_black h5,
.hd_section_bg_black h6,
.hd_section_bg_black li,
.hd_section_bg_black div,
.hd_section_bg_dark p,
.hd_section_bg_dark h2,
.hd_section_bg_dark h3,
.hd_section_bg_dark h4,
.hd_section_bg_dark h5,
.hd_section_bg_dark h6,
.hd_section_bg_dark li,
.hd_section_bg_dark div,
footer.site-footer p,
footer.site-footer h2,
footer.site-footer h3,
footer.site-footer h4,
footer.site-footer h5,
footer.site-footer h6,
footer.site-footer li,
footer.site-footer div,
footer.site-footer a,
.entry-content .hd_section_bg_blue a,
.entry-content .hd_section_bg_red a,
.entry-content .hd_section_bg_black a,
.entry-content .hd_section_bg_dark a {
  color:#fff !important;
  text-decoration:none !important;
}

footer.site-footer a:hover,
.entry-content .hd_section_bg_blue a:hover,
.entry-content .hd_section_bg_red a:hover,
.entry-content .hd_section_bg_black a:hover,
.entry-content .hd_section_bg_dark a:hover {
  opacity: var(--hd-hover-opacity) !important;
}


.e-font-icon-svg {
  fill: var(--hd-brand-blue) !important;
}

.hd_section_bg_blue .e-font-icon-svg,
.hd_section_bg_red .e-font-icon-svg,
.hd_section_bg_black .e-font-icon-svg,
.hd_section_bg_dark .e-font-icon-svg {
  fill: #fff !important;
}

.entry-content a {
  text-decoration:underline !important;
}

h2 a, h3 a, h4 a, h5 a, h6 a {
  color:inherit !important;
}

/*
h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover, h6 a:hover,
footer.site-footer a:hover {
  opacity:var(--hd-hover-opacity) !important;
}
*/

.elementor-icon-list-text,
label, legend {
  font-weight:bold !important;
}




/* Global Elements */
/* Global Elements - Social Icons - Zoom */

html {
  scroll-behavior: smooth;
}

.zoom-social_icons-list__item {
  margin:0px !important;
}

.zoom-social_icons-list__link .zoom-social_icons-list-span.social-icon {
  color:#fff !important;
}

.zoom-social_icons-list__link .zoom-social_icons-list-span.social-icon {
  color:#fff !important;
  background: var(--hd-brand-lt-blue) !important;
}

.zoom-social-icons-list {
  text-align:left !important;
  padding-left:0px !important;
}

.zoom-social_icons-list__link .zoom-social_icons-list-span.social-icon {
  padding:8px !important;
}

.zoom-social-icons-list {
  text-align:left !important;
  padding-top:0px !important;
  margin:0px !important;
}

.zoom-social-icons-list li.zoom-social_icons-list__item {
  margin-bottom:0px !important;
}

.zoom-social-icons-shortcode,
.zoom-social-icons-list,
.zoom-social_icons-list__item,
.zoom-social_icons-list-span {
  line-height:1em !important;
  background:none !important;
  vertical-align:middle !important;
}

.site-header-primary-section-right .header-widget-area a:hover {

}

.elementor-element img,
.wp-block-latest-posts__featured-image img,
.hd_nav_desc_element img,
.elementor .elementor-post__thumbnail img {
  /*border-radius:10px !important;*/
}



.hd_shortcode,
.hd_shortcode > .e-con-inner {
  width:100% !important;
  background:none !important;
  padding:0px !important;
  max-width:100% !important;
}

.hd_spacer_half .elementor-spacer-inner,
.hd_spacer_half.wp-block-spacer {
  height:var(--hd-container-padding-half) !important;
}

.hd_spacer .elementor-spacer-inner {
  height:var(--hd-container-padding) !important;
}

// e-con-inner seems to be only under the parent/top
// elementor-element.
.hd_section > .e-con-inner > .e-grid.e-child,
.hd_section > .e-con-inner > .e-flex.e-child,
.hd_rowgap {
  row-gap:20px !important;
}

.hd_section .e-con-inner,
.hd_section .e-con-inner > .elementor-element.e-child > .elementor-element.e-child,
.hd_rowgap_none.e-grid.e-child,
.hd_rowgap_none.e-con.e-child,
.hd_rowgap_none.e-con>.e-con-inner,
.hd_rowgap_none {
  row-gap:0px !important;
}

.hd_icon_list .elementor-icon-list-icon {
  border:4px solid var(--hd-brand-blue);
  border-radius:50%;
  aspect-ratio:1 / 1;
  padding:10px !important;
  margin-right:var(--hd-text-margin-bottom) !important;
}

.hd_icon_list .elementor-icon-list-icon svg {
  margin:0px !important;
  padding:10px !important;
}

.hd_icon_list .elementor-icon-list-text {
  font-size:var(--hd-font-size-headers-h4) !important;
  color:var(--hd-brand-blue) !important;
}



/* Global Elements - Buttons */

.wp-block-button .wp-block-button__link,
.wp-block-search .wp-block-search__button,
body .wp-block-file .wp-block-file__button,
a.ast-custom-button-link div.ast-custom-button,
.gform_button.button,
.hd_button_blue .elementor-button,
.elementor-widget-button .elementor-button,
.elementor-widget-button .elementor-button:visited,
.hd_btn a,
input.submit,
a.comment-reply-link,
input.wpcf7-submit,
button.wpcf7-submit,
a.button,
a.button:visited {
  color: var(--hd-brand-blue) !important;
}


/* Page List */

.page-list.page-list-cols-2:before {
  display:none !important;
}

.page-list.page-list-cols-2 {
  display:grid !important;
  grid-template-columns: 1fr 1fr !important;
}

.page-list-ext-item {
  margin-top:0px !important;
  margin-bottom:var(--hd-container-padding) !important;
}

.page-list-ext-image {
  display:block !important;
  float:none !important;
  margin:0px !important;
  margin-bottom:var(--hd-container-padding-half) !important;
}

.page-list-ext-title,
.page-list-ext-image {
  text-align:center !important;
  clear:both !important;
}




/* Header */

/*.admin-bar.home .site-header.hd-fixed-header {
  margin-top:31px !important;
}*/

.site-header {
  background:none !important;
  width:100% !important;
  height:auto !important;
  padding-top:0px;
  padding-bottom:0px;
  position:relative !important;
}




/* Main Content */

#content {
  /*margin-top:96px !important;*/
}

#content .ast-container {
  width:100% !important;
  max-width:100% !important;
  padding:0px !important;
}

/*
.hd_page_header {
  padding:100px 15px !important;
}
*/

.hd_page_header:before {
}

.hd_page_header h1 {
  text-align:center !important;
}



/* Sections */

footer.site-footer,
.hd_section {
  padding:var(--hd-container-padding) 15px !important;
  background:#fff;
}

.hd_section_padding_top {
  padding-top:var(--hd-container-padding) !important;
  padding-bottom:0px !important;
}

.hd_section_padding_bottom {
  padding-top:0px !important;
  padding-bottom:var(--hd-container-padding) !important;
}

.hd_section_padding_bottom_half {
  padding-bottom:var(--hd-container-padding-half) !important;
}

.hd_section_hero,
.hd_section_padding_none {
  padding-top:0px !important;
  padding-bottom:0px !important;
}

.hd_section_hero,
.hd_section_padding_side_none {
  padding-left:0px !important;
  padding-right:0px !important;
}

.hd_section_full_width .e-con-inner {
  max-width:100% !important;
}

.hd_section_hero .hd_hero_overlay {
  position:absolute !important;
  width:100% !important;
  height:100% !important;
  max-height:700px !important;
  background:#00000066;
}

.hd_section_hero .hd_hero_text {
  position:absolute !important;
  top:calc(50%);
  left:calc(20%);
  transform: translate(-20%,-50%);
  width:100% !important;
  height:auto !important;
  padding:20px;
}

.hd_section_hero .hd_hero_text h1,
.hd_section_hero .hd_hero_text h2 {
  color:#fff !important;
}

.hd_section_hero .hd_hero_text h1 {
  font-size:55px !important;
}

.hd_section_hero .hd_hero_text h2 {
  font-size:36px !important;
}

.hd_section_bg_blue {
  background:var(--hd-brand-blue);
}

footer.site-footer,
.hd_section_bg_red {
  background:var(--hd-brand-red) !important;
}

.hd_section_bg_lt_blue {
  background:var(--hd-brand-lt-blue);
}

.hd_section_page_header,
.hd_section_bg_gray {
  background:var(--hd-brand-gray);
}

.hd_section_bg_black  {
  background:#000;
}


.hd_section_teasers .hd_section_teaser {
  background:#fff;
  border-bottom-left-radius:20px !important;
  border-bottom-right-radius:20px !important;
}

.elementor-posts-container .elementor-post__thumbnail,
.hd_section_teasers .hd_section_teaser .elementor-widget-image {
  border-bottom:20px solid var(--hd-brand-blue);
}

.elementor-posts-container .elementor-post__text,
.hd_section_teasers .hd_section_teaser .hd_section_teaser_text {
  padding:20px !important;
}

.hd_section_cta h2 {
  margin-bottom: 0px !important;
}




@media only screen and (max-width: 825px) {

  .hd_section_hero .hd_hero_text h1 br {
    display:none;
  }

}

@media only screen and (max-width: 499px) {

  .hd_section_hero .hd_hero_text h1 {
    font-size:48px !important;
  }

  .hd_section_hero .hd_hero_text h2 {
    font-size:24px !important;
  }

}